package com.css.simulation.resource.server.infra.db.mysql.mapper;


import api.common.pojo.param.model.LidarParam;
import api.common.pojo.po.model.LidarPO;
import api.common.pojo.vo.model.LidarVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface LidarMapper {

    List<LidarVO> getLidarList(LidarParam lidarParam);
    List<LidarVO> getLidarListGSy(LidarParam lidarParam);

    LidarVO getLidarInfo(LidarParam lidarParam);

    List<LidarVO> checkLidarName(LidarPO lidarPO);

    void insert(LidarPO lidarPO);

    void update(LidarPO lidarPO);

    int delLidarById(LidarPO lidarPO);

}
